LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSSOAcceptorContext Interface Referencepublished

represents an acceptor side security context. More...

`import"XSSOAcceptorContext.idl";`

Inheritance diagram for XSSOAcceptorContext:

## Public Member Functions
sequence< byte > | accept ([in] sequence< byte > Token) raises ( InvalidArgumentException, InvalidCredentialException, InvalidContextException, AuthenticationFailedException )
| accepts/authenticates an SSO token sent from the context initiator side. More...
Public Member Functions inherited from XSSOContext
string | getSource ()
| retrieves the principal name of the source/initiator of the context. More...
string | getTarget ()
| retrieves the principal name of the target/acceptor of the context. More...
string | getMechanism ()
| retrieves the mechanism associated with the context. More...
boolean | getMutual ()
| retrieves whether or not the context supports mutual authentication More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents an acceptor side security context.

This context may be used to authenticate a Single Sign-on initiator based on a security token sent by the initiator and to generate a token to be sent back to the initiator so that it can authenticate the acceptor.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ accept()

sequence< byte > accept | ( | [in] sequence< byte > | Token | ) |
raises | ( | InvalidArgumentException,
|  | InvalidCredentialException,
|  | InvalidContextException,
|  | AuthenticationFailedException
| ) |  |

accepts/authenticates an SSO token sent from the context initiator side.

accept() should be called only once. Subsequent calls produce undefined results.

Parameters

  Token | the SSO token sent by the initiator.

Returns
  the sequence of bytes to be sent back to the initiator to allow authentication of the acceptor side, if mutual authentication is supported by the security context. If mutual authentication is not supported a zero length sequence is returned.

The documentation for this interface was generated from the following file:

- com/sun/star/auth/XSSOAcceptorContext.idl